Subject: [PATCH v2 6/6] target-arm: cpu.h document why env->spsr exists

From: [email-masked] (Alex Bennée)
Date: Wed, 04 Mar 2015 16:27:29 +0000

Peter Maydell <[email-masked]> writes:

> On 4 March 2015 at 23:35, Alex Benn?e <[email-masked]> wrote:
>> I was getting very confused about the duplication of state. Perhaps we
>> should just get rid of env->spsr and use helpers that understand the
>> banking?
>
> Doesn't seem worth changing the current working code to something
> else that's strictly less efficient... spsr is by no means the
> only banked-by-mode register, and it works just like all the others.

Fair enough. I just wanted to make it clear it was a cached value for
the benefit of TCG.

> -- PMM

-- 
Alex Benn?e